RLOG(1)

NAME
rlog - display information about RCS files

SYNOPSIS
rlog [-bhLNRtV] [-ddates] [-l[lockers]] [-r[revs]] [-sstates] [-w[logins]] [-xsuffixes] [-ztz] file ...

DESCRIPTION
The rlog program displays information about RCS files.

A file's complete RCS history can be displayed (the default if no options are specified) or a subset of its history log can be requested, depending on which options are specified. RCS keywords are displayed using the ident(1) utility.

The following options are supported:

-b  Print information about revisions of the default branch only.

-ddates
    Specify revisions with dates matching the specification. The specification might be as follows:

    date1<date2 or date2>date1
        Select all revisions between date1 and date2.

    <date or date>
        Select all revisions before date.

    >date or date<
        Select all revisions after date.

    date
        Select the latest revision before or equal to date.

    The ‘’ and ‘’ characters can be followed by the ‘=’ character to imply an inclusive specification. Several specifications can be used by separating them with the ‘’; character.

    See also the -z option, below.

-h  Print the RCS header, describing a file's branch, lock details, symbolic names, etc.

-L  Ignore RCS files with no locks set.

-l[lockers]
    Print information about locked revisions only. If a comma-separated list of login names is specified, ignore all locks other than those held in the list.

-N  Do not print symbolic names.

-R  Print name of RCS file only.

-r[revs]
    Specify revision(s) to list:

    rev1,rev2,...
        A list of revisions is specified by separating names or numbers of revisions by the ‘’, character.

    rev1:rev2
        List all revisions between rev1 and rev2 (they must be on the same branch).

    :rev
        List all revisions since the beginning of the branch until rev included.

    rev:
        List all revisions of the branch beginning with rev.

    branch
        List all revisions of a branch.

    branch.
        List the latest revision of the branch branch.

    branch1:branch2
        List all revisions of branches between branch1 and branch2.

    Without argument, the -r option means the latest revision of the default branch.

-sstates
    Print information about revisions whose state matches one of the specified states. Multiple states may be specified as a comma-separated list.

-t  Print header and description only.

-V  Print RCS's version number.

-w[logins]
    Print information about revisions checked in by users specified in a comma-separated list. If logins is omitted, the user's login is assumed.

-xsuffixes
    Specifies the suffixes for RCS files. Suffixes should be separated by the ‘/’ character.

-ztz
    Specify the date output format. The tz argument should be a numeric UTC offset (e.g. +02:45 would specify an offset of 2 hours 45 minutes). ‘LT’ may instead be used to specify local time. If no argument is given, a default format is used. This option is also used to set the default time zone for dates used in the -d option.

ENVIRONMENT

RCSINIT
    If set, this variable should contain a list of space-delimited options that are prepended to the argument list.

EXIT STATUS

EXAMPLES
Print complete information about files:

    $ rlog RCS/*

Print the names of RCS files with locks set:

    $ rlog -L -R RCS/*

SEE ALSO
ci(1), co(1), ident(1), rcs(1), rcsclean(1), rcsdiff(1), rcsmerge(1)

STANDARDS
The flags [-qT] have no effect and are provided for compatibility only.